Subject: bug#74934: closed (Re: bug#74934: 30.0.92; Unexpected behavior by which-function-mode in erc-mode buffers)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 Dec 2024 19:53:03 +0000

Your bug report

#74934: 30.0.92; Unexpected behavior by which-function-mode in erc-mode buffers

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74934: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74934
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74934: 30.0.92; Unexpected behavior by which-function-mode in erc-mode buffers
From: "J.P." <[email-masked]>
To: [email-masked]
Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
Date: Sun, 22 Dec 2024 11:51:57 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

"J.P." <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> Is this for the release branch?  That is, is this a recent regression?
>
> No, this is for Emacs master (and ERC 5.6.1). AFAICT, the bug has been
> with us since at least Emacs 26.3, although "[n/a]" used to be "[???]".

This has been installed as

  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=d1c670f0

>
>>
>> And if so, what is the second patch for?
>
> For anyone wondering, the second patch is for contributors working on
> ERC (I will add a news item).

I moved the dev utility to

  test/lisp/erc/resources/erc-tests-common.el

and changed it to only modify the local binding of the variable
`imenu-generic-expression'. Installed as:

  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=e9591fae

Thanks and closing.

Subject: 30.0.92; Unexpected behavior by which-function-mode in erc-mode buffers
From: Anush V <[email-masked]>
To: [email-masked]
Date: Tue, 17 Dec 2024 19:43:51 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Maintainers,

I guess this is probably unexpected behavior by which-function-mode in erc-mode
buffers and so reporting this.

steps to reproduce:
emacs --no-init
M-x erc
;; join some channel.
M-x which-function-mode

Current behavior:
In erc buffers, which-function-mode displays either "[n/a]" or a string based on
the chat history in the mode line.

Expected behavior:
which-function-mode shouldn’t be adding any string to mode line in erc buffers

Thank you for your time!

* * *

In GNU Emacs 30.0.92 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41, cairo
version 1.18.0)
Windowing system distributor 'The X.Org Foundation', version 11.0.12101014
System Description: Guix System

Configured using:
 'configure
 CONFIG_SHELL=/gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin/bash
 SHELL=/gnu/store/3jhfhxdf6v5ms10x5zmnl166dh3yhbr1-bash-minimal-5.1.16/bin/bash --prefix=/gnu/store/dgpfiflaxb8j33jcbqk29wadcykajl51-emacs-next-30.0.92-0.881d593 --enable-fast-install --with-cairo --with-modules --with-native-compilation=aot --disable-build-details'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG LCMS2
LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
TREE_SITTER X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

--
Regards,
Anush V